#ifdef GL_ES							
precision lowp float;					
#endif																				

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;	

uniform int u_highlightOn;
uniform float u_rate;

void main ()
{	
		const float radUnit = 3.1415926/180.0;
		vec3 colA = (v_fragmentColor *texture2D(CC_Texture0, v_texCoord) ).rgb;

		
		float colR = colA.r;
		float colG = colA.g;
		float colB = colA.b;
		
		float alphaA = (v_fragmentColor *texture2D(CC_Texture0, v_texCoord)).a;
		

		if(u_highlightOn == 1){
			if( alphaA > 0.5 ){
				float rad = radUnit * u_rate;
				colR = colR + 0.4 * sin(rad);
				colG = colG + 0.4 * sin(rad);
				colB = colB + 0.4 * sin(rad);
				alphaA = alphaA*0.8;
				gl_FragColor = vec4(colR,colG,colB,alphaA);			
			}else{
				gl_FragColor = vec4(colA,alphaA);
			}
		}
		else{	
			gl_FragColor = vec4(colA,alphaA);
		}
}		