

uniform sampler2D u_bgTexture;

#ifdef GL_ES
precision lowp float;
varying lowp vec4 v_fragmentColor;
varying mediump vec2 v_texCoord;
#else
varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
#endif

void main ()
{		
	vec3 colSp = (v_fragmentColor * texture2D(CC_Texture0, v_texCoord )).rgb;  
	
	vec2 texCoord_bg = vec2(v_texCoord.x, v_texCoord.y);
	texCoord_bg.y = - texCoord_bg.y;
	vec3 colBg = (v_fragmentColor * texture2D(u_bgTexture, texCoord_bg )).rgb;
	
	
	vec4 tempA = v_fragmentColor *texture2D(CC_Texture0, v_texCoord );
	float alphaA = tempA.a;
	vec4 tempB = v_fragmentColor *texture2D(u_bgTexture, texCoord_bg );
	float alphaB = tempB.a;
	
	if( alphaA > 0.1){
		//vec3 colBgT = vec3(0.41,0.97,1.0);
		//vec3 outColor = colBgT/ (1.0 - colSp*0.5);
		//float alphaOUT = 1.0 - alphaA;
		
		vec3 outColor = colBg/ (1.0 - colSp*0.5);
		float alphaOUT = alphaB * (1.0 - alphaA);
		gl_FragColor = vec4(outColor,alphaOUT*0.8);
	}else{
		gl_FragColor = vec4(colSp,alphaA);
	}
	
	
	//gl_FragColor = v_fragmentColor *texture2D(u_bgTexture, texCoord_bg );

}		